Bug 298513 - Del key does not delete visual selection
Summary: Del key does not delete visual selection
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: Vi Input Mode (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-20 23:19 UTC by Andreas
Modified: 2012-04-21 07:21 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas 2012-04-20 23:19:57 UTC
Del should delete visual selection (especially if vi overrides shortcuts option is not selected). I am aware that "d" can be used to delete the selection.

Reproducible: Always

Steps to Reproduce:
1. enter some text 
2. mark part of it in visual selection (press v and move cursor)
3.  hit Del
Actual Results:  
nothing happens

Expected Results:  
selected text is deleted
Comment 1 Erlend Hamberg 2012-04-21 07:21:33 UTC
Git commit 9bb36ec1328f134190dde082db78bda2d0967040 by Erlend Hamberg.
Committed on 21/04/2012 at 09:14.
Pushed by ehamberg into branch 'master'.

Make <del> delete visual selection by default

M  +1    -0    part/vimode/katevivisualmode.cpp

http://commits.kde.org/kate/9bb36ec1328f134190dde082db78bda2d0967040